From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-vcs/cvs-fast-export/
Date: Tue, 15 Feb 2022 14:24:23 +0000 (UTC) [thread overview]
Message-ID: <1644935058.e2be79c8653df0816f7fe3d1986acee0eaf48a16.ulm@gentoo> (raw)
commit: e2be79c8653df0816f7fe3d1986acee0eaf48a16
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 15 14:24:01 2022 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Tue Feb 15 14:24:18 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2be79c8
dev-vcs/cvs-fast-export: Version bump to 1.59
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
dev-vcs/cvs-fast-export/Manifest | 1 +
.../cvs-fast-export/cvs-fast-export-1.59.ebuild | 46 ++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-vcs/cvs-fast-export/Manifest b/dev-vcs/cvs-fast-export/Manifest
index 79611242d1be..fe684f927845 100644
--- a/dev-vcs/cvs-fast-export/Manifest
+++ b/dev-vcs/cvs-fast-export/Manifest
@@ -1 +1,2 @@
DIST cvs-fast-export-1.57.tar.gz 503473 BLAKE2B 06d5b03d550be9604a04b4f03cd19d06abbe84efb6fbb424a3ae8c58f2964dff31e1718baf61adf70fe17c2beb6753cdd0fba9e0e1a5ba5e9d8ae7b87721a336 SHA512 bb129d58a66ca8aa9feb6dcdf6d83553ed1099d6023041c4fb8fa9b923461b6eb9e59ec304b3443f754d7710a2655fd2c104cbaa5ac604ee471de727b92fc091
+DIST cvs-fast-export-1.59.tar.gz 514934 BLAKE2B 2e9f42eb948c917785f80596bf176cde8265555c8808fa8c7a297217dba6eb36f8de6cebc192ebb0bd513e3c288beefad01d04cd59a72176377851b00a25419a SHA512 3fd4455c61b9065b784396683bea6ca6fcae8509fabd72531d1dba7d733e1fedeb9307b99d02f03eb3d19e9b024f2c53e2a15062b46d96fe58ab90651ff94bc5
diff --git a/dev-vcs/cvs-fast-export/cvs-fast-export-1.59.ebuild b/dev-vcs/cvs-fast-export/cvs-fast-export-1.59.ebuild
new file mode 100644
index 000000000000..abce092aa5b5
--- /dev/null
+++ b/dev-vcs/cvs-fast-export/cvs-fast-export-1.59.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="fast-export history from a CVS repository or RCS collection"
+HOMEPAGE="http://www.catb.org/~esr/cvs-fast-export/"
+SRC_URI="http://www.catb.org/~esr/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+BDEPEND="app-text/asciidoc"
+
+RESTRICT=test # upstream does not ship some tests in tarball
+
+src_prepare() {
+ default
+
+ tc-export CC
+ export prefix="${EPREFIX}"/usr
+
+ # respect CC, CFLAGS and LDFLAGS
+ sed \
+ -e 's/cc /$(CC) $(LDFLAGS) /' \
+ -e 's/^CFLAGS += -O/#&/' \
+ -e 's/CFLAGS=/CFLAGS+=/' \
+ -i Makefile || die
+}
+
+src_compile() {
+ # '.adoc.html' rules can't be executed in parallel
+ # as they reuse the same 'docbook-xsl.css' file name.
+ emake -j1 html
+ # Allow full parallelism for the rest
+ emake
+}
+
+src_install() {
+ default
+ dodoc README.adoc
+}
next reply other threads:[~2022-02-15 14:24 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-02-15 14:24 Ulrich Müller [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-05 7:19 [gentoo-commits] repo/gentoo:master commit in: dev-vcs/cvs-fast-export/ Ulrich Müller
2024-07-05 7:19 Ulrich Müller
2023-11-20 8:49 Ulrich Müller
2021-07-02 15:02 Ulrich Müller
2021-07-02 7:17 Sergei Trofimovich
2021-05-29 19:03 David Seifert
2021-05-09 11:53 Sergei Trofimovich
2021-05-06 18:15 Sergei Trofimovich
2021-04-12 23:19 Sergei Trofimovich
2021-04-04 19:39 Sergei Trofimovich
2020-05-29 22:13 Sergei Trofimovich
2020-05-24 17:27 Sergei Trofimovich
2020-05-22 8:49 Sergei Trofimovich
2020-05-02 17:51 Sergei Trofimovich
2020-04-10 20:43 Sergei Trofimovich
2020-04-10 20:43 Sergei Trofimovich
2020-04-10 12:01 Sergei Trofimovich
2020-02-26 13:13 Sergei Trofimovich
2020-02-12 22:32 Sergei Trofimovich
2020-01-02 22:42 Sergei Trofimovich
2020-01-02 22:42 Sergei Trofimovich
2019-04-26 15:24 Sergei Trofimovich
2019-04-26 15:24 Sergei Trofimovich
2019-03-19 22:18 Sergei Trofimovich
2019-03-18 23:23 Sergei Trofimovich
2019-01-27 16:53 Pacho Ramos
2019-01-22 23:21 Sergei Trofimovich
2019-01-22 23:21 Sergei Trofimovich
2018-10-15 7:07 Sergei Trofimovich
2018-10-14 21:16 Sergei Trofimovich
2018-10-14 21:16 Sergei Trofimovich
2017-08-14 6:37 Michał Górny
2016-04-04 23:08 Robin H. Johnson
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1644935058.e2be79c8653df0816f7fe3d1986acee0eaf48a16.ulm@gentoo \
--to=ulm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox